<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>boyuehasfj-java</artifactId>
        <groupId>com.boyue</groupId>
        <version>3.8.9-G</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>boyue-file</artifactId>

    <properties>
        <aliyunoss.version>3.18.1</aliyunoss.version>
        <minio.version>8.2.1</minio.version>
    </properties>

    <description>
        文件模块
    </description>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.boyue</groupId>
                <artifactId>boyue-file-common</artifactId>
                <version>${boyue.version}</version>
            </dependency>

            <dependency>
                <groupId>io.minio</groupId>
                <artifactId>minio</artifactId>
                <version>${minio.version}</version>
            </dependency>

            <!-- oss-->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyunoss.version}</version>
            </dependency>

            <dependency>
                <groupId>com.boyue</groupId>
                <artifactId>boyue-file-oss-alibaba</artifactId>
                <version>${boyue.version}</version>
            </dependency>

            <dependency>
                <groupId>com.boyue</groupId>
                <artifactId>boyue-file-minio</artifactId>
                <version>${boyue.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>


    <modules>
        <module>boyue-file-common</module>
        <module>boyue-file-minio</module>
        <module>boyue-file-oss-alibaba</module>
        <module>boyue-file-starter</module>
    </modules>
    <packaging>pom</packaging>
</project>